Subject: RE: [Megaco] What exactly constitutes Version 1 ?

From: "Tom-PT Taylor" <[email-masked]>
Date: Tue, 2 Oct 2001 09:33:11 -0400

The Implementor's Guide version numbers were strictly informal, added by the
editor.  The proper way to refer to official versions is by date, as you
show.  Additions in between the official ones are subject to change until
they have been reviewed both on the list and at an SG 16 Rapporteur's
meeting, and even then it's "use at your own risk".  We could set up some
process for tracking the status of each addition if people want.

The Introduction to the I-G is probably ITU-T boilerplate.  The normal ITU-T
process is to pick these up in the next version of the Recommendation.

-----Original Message-----
From: Harry Suede [mailto:[email-masked]]
Sent: Tuesday, October 02, 2001 2:28 AM
To: Taylor, Tom-PT [NORSE:B881:EXCH]; [email-masked]
Subject: RE: [Megaco] What exactly constitutes Version 1 ?

Hi 

 Thanks for the clarification. The idea of having an ID for capturing the
updations also looks fine to me.

 I have one more question regarding the IG just submitted to ITU. Earlier
these IGs used to have version numbers which helped us keep track of them.
Things got a bit confusing after IGv7. This recent submission also does not
seem to have any version number. How does one refer to it ? Should it be
called Implementation Guide (June 2001) ? 

 Also, (I know I am being a bit touchy)  the Introduction section of  IG
(June 2001) seems to suggest that the corrections are only part of
subsequent versions. There should be a line saying that Implementors are
advised to conform to this Guide in order to ensure that their
implementations are up to date.

Thanks
Harry

-----Original Message-----
From: "Tom-PT Taylor" <[email-masked]>
Date: Mon, 1 Oct 2001 10:33:37 -0400
To: "'Harry Suede'" <[email-masked]>, [email-masked]
Subject: RE: [Megaco] What exactly constitutes Version 1 ?

> I'll give you two answers: the practical one, and the formal one.
> 
> The practical answer is that Version 1 consists of the protocol as
> documented in RFC 3015 or ITU-T Rec. H.248 (June, 2000) plus the latest
> approved H.248 Implementor's Guide (June, 2001).  Note that RFC 3015 has a
> few small errors compared with the H.248 document.  The URL you cite
> probably gives the June 2001 approved version of the IG, but for safety
you
> should get the official version, just posted last week, at 
> http://www.itu.int/itudoc/itu-t/com16/implgd/h248-ig.html
> 
> The formal answer is that because the IETF lacks the equivalent to the ITU
> Implementor's Guide, RFC 3015 is the official IETF view of Version 1.
> Normally we would recycle that document in a movement toward Draft
Standard,
> so you would have an Internet Draft containing the latest view of the
> protocol including corrections.  The problem is that we don't want to risk
> divergence between Megaco and H.248, so the more likely update route will
be
> to co-develop the next version of the H.248 Recommendation with SG 16.
> Discussion of this topic at the last IETF meeting revealed a fairly clear
> consensus that Megaco participants don't want to see another version of
> Megaco/H.248 for another year, until we get solid deployment experience.
If
> this is also the list consensus, I can report this view into the next SG
16
> Rapporteur's meeting at the end of the month.
> 
> I am left with one thought.  Should we have an I-D on the table consisting
> of RFC 3015 plus approved corrections (i.e.) the latest approved version
of
> the Implementor's Guide?
> 
> -----Original Message-----
> From: Harry Suede [mailto:[email-masked]]
> Sent: Monday, October 01, 2001 4:16 AM
> To: [email-masked]
> Subject: [Megaco] What exactly constitutes Version 1 ?
> 
> 
> Hi All
> 
>  I am a bit unsure about what exactly constitutes 'Version 1' of the
MEGACO
> protocol.
> Is it just the RFC 3015 ? Or do the subsequent IGs also form a part of it.
> 
>  RFC 3015 was itself made up of megaco_merged_01.txt and IGv3, right ?
> 
>  Is the document located at 
> ftp://standard.pictel.com/avc-site/0105_Por/PL-015_H248_imp_guide.zip, the
> the latest approved IG ? Where does this doc stand vis-a-vis 'Version 1' ?
> 
>  Could someone please clarify ?
> 
> Regards
> Harry
> 
> -- 
> 
> _______________________________________________
> Talk More, Pay Less with Net2Phone Direct(R), up to 1500 minutes free! 
> http://www.net2phone.com/cgi-bin/link.cgi?143 
> 
> 
> 
> 
> 
> 
> 
> _______________________________________________
> Megaco mailing list
> [email-masked]
> http://www1.ietf.org/mailman/listinfo/megaco
> 

-- 

_______________________________________________
Talk More, Pay Less with Net2Phone Direct(R), up to 1500 minutes free! 
http://www.net2phone.com/cgi-bin/link.cgi?143

---

From: Randy Haberman <[email-masked]>
Date: Wed, 03 Oct 2001 17:18:14 -0500

RE: [Megaco] What exactly constitutes Version 1 ?Hi,

Is anyone familiar with the internet-draft: draft-sct-midcom-megaco-pkg-00?
It discusses three packages for use with Megaco in the event of a Middlebox,
such as a firewall or NAT.  Are there scenarios in a network where a gateway
(possibly an access gateway) could be behind a firewall and the Megaco
messages would traverse a firewall?  Any help in this matter would be
appreciated.

Randy Haberman-WorldCom

---

From: "Vance Shipley" <[email-masked]>
Date: Wed, 3 Oct 2001 18:48:29 -0400

Randy Haberman writes:

}  Are there scenarios in a network where a gateway (possibly an access
gateway)
}  could be behind a firewall and the Megaco messages would traverse a
firewall?

Yes, a residential gateway (a.k.a. IP phone).

	-Vance

Vance Shipley
Motivity Telecom Inc.
+1 519 579 5816